DialogTypeSelection (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.attribute.standard, class: DialogTypeSelection
Keywords: javax.print.attribute.standard.DialogTypeSelection class

# Class DialogTypeSelection

java.lang.Object
javax.print.attribute.EnumSyntax
javax.print.attribute.standard.DialogTypeSelection

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, PrintRequestAttribute`

public final class DialogTypeSelection extends EnumSyntax implements PrintRequestAttribute
Class `DialogTypeSelection` is a printing attribute class, an enumeration, that indicates the user dialog type to be used for specifying printing options. If `NATIVE` is specified, then where available, a native platform dialog is displayed. If `COMMON` is specified, a cross-platform print dialog is displayed.

This option to specify a native dialog for use with an IPP attribute set provides a standard way to reflect back of the setting and option changes made by a user to the calling application, and integrates the native dialog into the Java printing APIs. But note that some options and settings in a native dialog may not necessarily map to IPP attributes as they may be non-standard platform, or even printer specific options.

IPP Compatibility: This is not an IPP attribute.

Since:
  1.7
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DialogTypeSelection`
  `COMMON`
  The cross-platform print dialog should be used.
  `static final DialogTypeSelection`
  `NATIVE`
  The native platform print dialog should be used.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DialogTypeSelection(int value)`
  Constructs a new dialog type selection enumeration value with the given integer value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Class<? extends Attribute>`
  `getCategory()`
  Gets the printing attribute class which is to be used as the "category" for this printing attribute value.
  `protected EnumSyntax[]`
  `getEnumValueTable()`
  Returns the enumeration value table for class `DialogTypeSelection`.
  `final String`
  `getName()`
  Gets the name of the category of which this attribute value is an instance.
  `protected String[]`
  `getStringTable()`
  Returns the string table for class `DialogTypeSelection`.

  ### Methods declared in class EnumSyntax

  `clone, getOffset, getValue, hashCode, readResolve, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Returns a clone of this enumeration value, which to preserve the semantics of enumeration values is the same object as this enumeration value.
  `protected int`
  `getOffset()`
  Returns the lowest integer value used by this enumeration value's enumeration class.
  `int`
  `getValue()`
  Returns this enumeration value's integer value.
  `int`
  `hashCode()`
  Returns a hash code value for this enumeration value.
  `protected Object`
  `readResolve()`
  During object input, convert this deserialized enumeration instance to the proper enumeration value defined in the enumeration attribute class.
  `String`
  `toString()`
  Returns a string value corresponding to this enumeration value.

  ### Methods declared in class Object

  `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### NATIVE

    public static final DialogTypeSelection NATIVE
    The native platform print dialog should be used.

  - ### COMMON

    public static final DialogTypeSelection COMMON
    The cross-platform print dialog should be used.

- ## Constructor Details

  - ### DialogTypeSelection

    protected DialogTypeSelection(int value)
    Constructs a new dialog type selection enumeration value with the given integer value.
    Parameters:
      `value` - Integer value

- ## Method Details

  - ### getStringTable

    protected String[] getStringTable()
    Returns the string table for class `DialogTypeSelection`.
    Overrides:
      `getStringTable` in class `EnumSyntax`
    Returns:
      the string table

  - ### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()
    Returns the enumeration value table for class `DialogTypeSelection`.
    Overrides:
      `getEnumValueTable` in class `EnumSyntax`
    Returns:
      the value table

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Gets the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `DialogTypeSelection` the category is class `DialogTypeSelection` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Gets the name of the category of which this attribute value is an instance.

    For class `DialogTypeSelection` the category name is `"dialog-type-selection"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name